profile
viewpoint

Ask questionsGoogle Api Error: apkNotificationMessageKeyBundleTargetsInvalidLanguage: The bundle targets unrecognized languages: fb.

after compiling with android sdk 5.9.0, in genereted res directory there is a folder named values-fb and it seems like app bundle generates a split apk for fb language which is an undefined language for google. It throws an error like Google Api Error: apkNotificationMessageKeyBundleTargetsInvalidLanguage: The bundle targets unrecognized languages: fb.After downgrading to 5.8.0 problem resolved

facebook/facebook-android-sdk

Answer questions pixeption

I got the same issue when uploading to PlayStore

Your App Bundle targets the following unrecognized languages: fb. The list of supported language codes can be found in the IANA registry. Invalid languages caused by third-party libraries can be excluded using the resConfigs Gradle property.

I forced the SDK to 5.8.0 rather ran using resConfigs

useful!
source:https://uonfu.com/
Github User Rank List